Subject: [bug#40060] [PATCH 1/2] gnu: youtube-dl: Use ffmpeg and pycryptodome

From: Leo Famulari <[email-masked]>
Date: Sat, 14 Mar 2020 13:47:37 -0400

On Sat, Mar 14, 2020 at 05:39:50PM +0000, Brice Waegeneire wrote:
> I should have written this in the cover-letter, my bad.
> pycryptodome is needed for the hlsative downloader, ffmpeg adds the ability
> to merge video and audio files downloaded separately by youtube-dl and
> removes the following warning:
> WARNING: You have requested multiple formats but ffmpeg or avconv are not
> installed. The formats won't be merged.

What is hlsative?

I guess that for FFmpeg, it looks in $PATH? This has always worked for
me. But I think it's a good idea to bind them together.